{{template "inc"}}
<!-- Main Header -->
{{template "header"}}
<!-- Left side column. 权限菜单 -->
{{template "memu"}}

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
	<section class="content-header">
		<h1>
			<small><button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modal-info" onclick="formReset()">新增用户</button></small>
		</h1>
		<ol class="breadcrumb">
		  <li><a href="/admin/user"><i class="fa fa-dashboard"></i> 人员管理</a></li>
		</ol>
    </section>
  <!-- Main content -->
  <section class="content">
      <div class="row">
	      <div class="col-xs-12">
	        <div class="box">
		        <div class="box-body">
		            <table id="dataTable" class="table table-bordered table-hover">
		              <thead>
		              <tr>
		                <th>编号</th>
						<th>账号</th>
						<th>姓名</th>
						<th>角色</th>
						<th>操作</th>
		              </tr>
		              </thead>
		            </table>
		        </div>
	          <!-- /.box-body -->
	        </div>
        <!-- /.box -->
		</div>
	</div>
  </section>
</div>
  
<div class="modal fade" id="modal-info">
  	<div class="modal-dialog">
	    <form id="userform" class="form-horizontal" role="form">
		<div class="modal-content">
		    <div class="modal-header">
		        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
		          <span aria-hidden="true">&times;</span></button>
		        <h4 class="modal-title">用户信息</h4>
		    </div>
		    <div class="modal-body">
		     	<div class="form-group">
				    <label for="code" class="col-sm-2 control-label">账号:</label>
				    <div class="col-sm-10">
				      <input id="email" name="email" type="email" class="form-control" placeholder="请输入账号">
				    </div>
				</div>
				<div class="form-group">
				    <label for="code" class="col-sm-2 control-label">密码:</label>
				    <div class="col-sm-10">
				      <input id="pwd" name="pwd" type="password" class="form-control" placeholder="请输入密码">
				    </div>
				</div>
				<div class="form-group">
				    <label for="site" class="col-sm-2 control-label">姓名:</label>
				    <div class="col-sm-10">
				      <input id="name"  name="name" type="text" class="form-control" placeholder="请输入姓名">
				    </div>
				</div>
				<div class="form-group">
				    <label for="modify" class="col-sm-2 control-label">角色:</label>
				    <div class="col-sm-10">
				     	<select id="role2" name="role" class="form-control">
							<option value="2">开发员</option>
							<option value="1">审核员</option>
					  		<option value="0">管理员</option>
						</select>
				    </div>
				</div>	
		    </div>
		    <div class="modal-footer">
		        <button type="button" class="btn btn-default" data-dismiss="modal" onclick="formReset()">取消</button>
		        <button type="button" class="btn btn-primary" onclick="save()">保存</button>
	    	</div>
		</div>
	    <!-- /.modal-content -->
	    </form>
  	</div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
	
<!-- footer -->
{{template "footer"}}

<script>
menuActive("user")
$(function () {
	ttable=$('#dataTable').DataTable({
		"paging"      : true,
		"lengthChange": false,
		"searching"   : true,
		"ordering"    : true,
		"info"        : true,
		"autoWidth"   : false,
		"ajax": {
			"url": "/admin/user/data",
			"type": "post",
			"data":{}
		 },
		"language": {
            "url": "/res/dist/js/dataTables.chinese.lang"
        },
		"columns": [
            { "data": "_id",render:function(val,a,row){
				return row._id
			}},
			{ "data": "email"},
			{ "data": "name"},
			{ "data": "role",render:function(val,a,row){
				role=""
				if(val==2){
					role="开发员"
				}else if(val==1){
					role="审核员"
				}else if(val==0){
                    role="管理员"
                }else{
					role="超级管理员"
				}
				return role
			}},
			{"data":"_id",render:function(val,a,row){
				return  "<a href='#' onclick='edit(\""+val+"\")'><i class='fa fa-fw fa-edit text-yellow'></i></a> &nbsp;"+
						"<a href='#' onclick='del(\""+val+"\")'><i class='fa fa-fw fa-trash text-red'></i></a>"
			}}
       	]
	});
	//ttable.on('init.dt', function () {});
})
function save(){
	email=$("#email").val()
	pwd=$("#pwd").val()
	na=$("#name").val()
	role=$("#role2").val()
	if(email==""||na==""||role==""||pwd==""){
		alert("表单填写不完整！")
		return false;
	}
	$.ajax({
		url:"/admin/user/save",
		type:"post",
		data:{"email":email,"pwd":pwd,"name":na,"role":role},
		success:function(r){
			if(r.rep){
				$("#userform")[0].reset();
				$("#modal-info").modal("hide");
				ttable.ajax.reload();
			}else{
				alert("保存失败");
			}
		}
	})
}
function edit(_id){
	$.ajax({
		url:"/admin/user/searchbyid",
		type:"post",
		data:{"_id":_id},
		success:function(r){
			if(r.rep){
				$.setForm('#userform',r.rep);
				$("#email").attr("disabled",true);
				$("#name").attr("disabled",true);
			}
		}
	})
	$("#modal-info").modal("show");
}
function del(_id){
	showConfirm("确定删除？", function() {
		$.ajax({
			url:"/admin/user/del",
			type:"post",
			data:{"_id":_id},
			success:function(r){
				if(r.rep){				
					ttable.ajax.reload();
				}else{
					showTip("删除失败", 1000, function() {});
				}
			}
		})
	});
}
function formReset(){
	$("#email").attr("disabled",false);
	$("#name").attr("disabled",false);
	$("#userform")[0].reset();
}
</script>
